package m05bAvisoEJB;

import java.rmi.RemoteException;
import javax.ejb.*;
import m05bBD.m05bAviso;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05AvisoEB</tt>.
 *
 * @see     m05.exe.Aviso 
 * @see     m05.exe.M05AvisoEBHome
 * @see     m05.exe.M05AvisoEBPK
 * @see     m05.exe.M05AvisoEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public interface m05Aviso extends EJBObject{

  public String getAvi_matricula()throws RemoteException;  
  public void setAvi_matricula(String n)throws RemoteException;  
  
  public String getAvi_texto()throws RemoteException;  
  public void setAvi_texto(String n)throws RemoteException;  
  public String getAvi_textoEusk()throws RemoteException;  
  public void setAvi_textoEusk(String n)throws RemoteException; 
  
  public String getAvi_vehiculo()throws RemoteException;  
  public void setAvi_vehiculo(String n)throws RemoteException;  

  public String getAvi_asignacion()throws RemoteException;  
  public void setAvi_asignacion(String n)throws RemoteException;  

  public String getAvi_ot()throws RemoteException;  
  public void setAvi_ot(String n)throws RemoteException;  


  /**
   * Returns the Aviso information of this E-EJB.
   */   
  public m05bAviso getAviso()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Aviso <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setAviso(Aviso aviso)
    throws RemoteException, Exception;    */

}	